#ifndef XD3DVERTEXBUFFER_H
#define XD3DVERTEXBUFFER_H

#include "xd3dresource.h"
#include "xgpuvertexfetchconstant.h"

class XD3DVertexBuffer : XD3DResource
{
public:
    explicit XD3DVertexBuffer();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    XGpuVertexFetchConstant mFormat;
};

#endif // XD3DVERTEXBUFFER_H
